## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

# Git submodules
%global qmarkdowntextedit_commit        d3e019be202f473641894dbe9662e712baa96f87
%global qmarkdowntextedit_shortcommit   %(c=%{qmarkdowntextedit_commit}; echo ${c:0:7})

%global qttoolbareditor_commit          ca0728c9924c6464234f7e477aa9509293d0a324
%global qttoolbareditor_shortcommit     %(c=%{qttoolbareditor_commit}; echo ${c:0:7})

%global qtcsv_commit                    ae15c33b066fea9373a07bed5dc898c10b45ce2a
%global qtcsv_shortcommit               %(c=%{qtcsv_commit}; echo ${c:0:7})

%global piwiktracker_commit             955a77443dcf3ecb99bb1b7e73408e2835672b32
%global piwiktracker_shortcommit        %(c=%{piwiktracker_commit}; echo ${c:0:7})

%global qkeysequencewidget_commit       8cbb54a12f33e41bf7c4795405f4235db1ee8ff1
%global qkeysequencewidget_shortcommit  %(c=%{qkeysequencewidget_commit}; echo ${c:0:7})

%global md4c_commit                     c64ee9ab326c53962b5bd8cca98c086461bbdd6b
%global md4c_shortcommit                %(c=%{md4c_commit}; echo ${c:0:7})

%global qhotkey_commit                  998c76c21bef8645802804d77e60a7dc8efcaf6f
%global qhotkey_shortcommit             %(c=%{qhotkey_commit}; echo ${c:0:7})


%global appname QOwnNotes
%global url1 https://github.com/pbek
%global forgeurl %{url1}/%{appname}

Name:           qownnotes
Version:        24.9.5
%forgemeta
Release:        %autorelease
Summary:        Plain-text file markdown note taking with Nextcloud integration

# The entire source code is MIT except bundled libs:
# BSD:          qdarkstyle
#               qkeysequencewidget
#               qmarkdowntextedit
#               singleapplication
#               simplecrypt
# MIT:                  piwiktracker
#                       md4c
# GPL-2.0-only:         versionnumber
# GPL-3.0-or-later:     qttoolbareditor
# LGPL-2.1-or-later:    fakevim
# Apache-2.0:           diff_match_patch
License:        MIT AND BSD-2-Clause AND BSD-3-Clause AND GPL-2.0-only AND GPL-3.0-or-later AND LGPL-2.1-or-later AND Apache-2.0
URL:            https://www.qownnotes.org
Source0:        %{forgesource}
Source1:        %{url1}/qmarkdowntextedit/archive/%{qmarkdowntextedit_commit}/qmarkdowntextedit-%{qmarkdowntextedit_shortcommit}.tar.gz
Source2:        %{url1}/Qt-Toolbar-Editor/archive/%{qttoolbareditor_commit}/qttoolbareditor-%{qttoolbareditor_shortcommit}.tar.gz
Source3:        %{url1}/qtcsv/archive/%{qtcsv_commit}/qtcsv-%{qtcsv_shortcommit}.tar.gz
Source5:        %{url1}/qt-piwik-tracker/archive/%{piwiktracker_commit}/piwiktracker-%{piwiktracker_shortcommit}.tar.gz
Source6:        %{url1}/qkeysequencewidget/archive/%{qkeysequencewidget_commit}/qkeysequencewidget-%{qkeysequencewidget_shortcommit}.tar.gz
Source7:        https://github.com/%{name}/md4c/archive/%{md4c_commit}/md4c-%{md4c_shortcommit}.tar.gz
Source8:        https://github.com/%{name}/QHotkey/archive/%{qhotkey_commit}/qhotkey-%{qhotkey_shortcommit}.tar.gz

BuildRequires:  cmake3
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  make

BuildRequires:  cmake(Qt5)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5WebSockets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5XmlPatterns)

# Switch to 'botan2'
# * https://github.com/pbek/QOwnNotes/issues/1263
%if 0%{?fedora} >= 32
BuildRequires:  pkgconfig(botan-2) >= 2.12.0
%endif

Requires:       hicolor-icon-theme
Requires:       qt5-qtbase%{?_isa}

Recommends:     %{name}-translations = %{version}-%{release}
Recommends:     hunspell

Provides:       bundled(fakevim) = 0.0.1
Provides:       bundled(md4c) = 0.4.2~git%{md4c_shortcommit}
Provides:       bundled(qhotkey) = 1.3.0~git%{qhotkey_commit}
Provides:       bundled(qkeysequencewidget) = 1.0.1
Provides:       bundled(qmarkdowntextedit) = 2019.4.0~git%{qmarkdowntextedit_shortcommit}
Provides:       bundled(qt-piwik-tracker) = 0~git%{piwiktracker_shortcommit}
Provides:       bundled(qt-toolbar-editor) = 0~git%{qttoolbareditor_shortcommit}
Provides:       bundled(qtcsv) = 1.2.2

%if 0%{?fedora} < 32
Provides:       bundled(botan) = 2.12.0
%endif

%description
QOwnNotes is the open source notepad with markdown support and todo list manager
for GNU/Linux, Mac OS X and Windows, that works together with the default notes
application of ownCloud and Nextcloud.

You are able to write down your thoughts with QOwnNotes and edit or search for
them later from your mobile device, like with CloudNotes or the
ownCloud/Nextcloud web-service.

The notes are stored as plain text files and are synced with
ownCloud's/Nextcloud's file sync functionality. Of course other software, like
Syncthing or Dropbox can be used too.

I like the concept of having notes accessible in plain text files, like it is
done in the ownCloud/Nextcloud notes apps, to gain a maximum of freedom, but I
was not able to find a decent desktop note taking tool or a text editor, that
handles them well. Out of this need QOwnNotes was born.


%package        translations
Summary:        Translations files for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description    translations
Translations files for %{name}.


%prep
%forgeautosetup -p1
%autosetup -n %{appname}-%{version} -D -T -a1
%autosetup -n %{appname}-%{version} -D -T -a2
%autosetup -n %{appname}-%{version} -D -T -a3
%autosetup -n %{appname}-%{version} -D -T -a5
%autosetup -n %{appname}-%{version} -D -T -a6
%autosetup -n %{appname}-%{version} -D -T -a7
%autosetup -n %{appname}-%{version} -D -T -a8

mv qmarkdowntextedit-%{qmarkdowntextedit_commit}/*      src/libraries/qmarkdowntextedit/
mv Qt-Toolbar-Editor-%{qttoolbareditor_commit}/*        src/libraries/qttoolbareditor/
mv qtcsv-%{qtcsv_commit}/*                              src/libraries/qtcsv/
mv qt-piwik-tracker-%{piwiktracker_commit}/*            src/libraries/piwiktracker/
mv qkeysequencewidget-%{qkeysequencewidget_commit}/*    src/libraries/qkeysequencewidget/
mv md4c-%{md4c_commit}/*                                src/libraries/md4c/
mv QHotkey-%{qhotkey_commit}/*                          src/libraries/qhotkey/
mkdir -p src/%{_target_platform}


%build
# Build translations
# * https://github.com/pbek/QOwnNotes/issues/1744
lrelease-qt5 src/%{appname}.pro

pushd src/%{_target_platform}
%qmake_qt5                        \
    PREFIX=%{buildroot}%{_prefix} \
    %if 0%{?fedora} >= 32
    USE_SYSTEM_BOTAN=1            \
    %endif
    ..
popd
%make_build -C src/%{_target_platform}


%install
%make_install -C src/%{_target_platform}
install -m 0644 -Dp obs/%{name}.appdata.xml %{buildroot}/%{_metainfodir}/%{name}.appdata.xml
%find_lang %{appname} --with-qt


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{appname}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_metainfodir}/*.xml

%files -f %{appname}.lang translations
%if 0%{?fedora} <= 34
%{_datadir}/qt5/translations/%{appname}_ceb.qm
%{_datadir}/qt5/translations/%{appname}_fil.qm
%{_datadir}/qt5/translations/%{appname}_hil.qm
%endif

%changelog
## START: Generated by rpmautospec
* Thu Sep 12 2024 Packit <hello@packit.dev> - 24.9.5-1
- Update to 24.9.5 upstream release
- Resolves: rhbz#2311177

* Thu Sep 12 2024 Miroslav Suchý <msuchy@redhat.com> - 24.9.3-2
- Correct SPDX license formula

* Tue Sep 10 2024 Packit <hello@packit.dev> - 24.9.3-1
- Update to 24.9.3 upstream release
- Resolves: rhbz#2311177

* Tue Sep 10 2024 Packit <hello@packit.dev> - 24.9.2-1
- Update to 24.9.2 upstream release
- Resolves: rhbz#2302680

* Fri Aug 02 2024 Packit <hello@packit.dev> - 24.8.1-1
- Update to 24.8.1 upstream release
- Resolves: rhbz#2302446

* Tue Jul 23 2024 Packit <hello@packit.dev> - 24.7.3-1
- Update to 24.7.3 upstream release
- Resolves: rhbz#2298500

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Packit <hello@packit.dev> - 24.7.1-1
- Update to 24.7.1 upstream release
- Resolves: rhbz#2297051

* Thu Jul 04 2024 Packit <hello@packit.dev> - 24.7.0-1
- Update to 24.7.0 upstream release
- Resolves: rhbz#2295714

* Mon Jul 01 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 24.6.3-2
- build: Add hunspell dep rh#2294856

* Tue Jun 18 2024 Packit <hello@packit.dev> - 24.6.3-1
- Update to 24.6.3 upstream release
- Resolves: rhbz#2292838

* Sun Jun 16 2024 Packit <hello@packit.dev> - 24.6.2-1
- Update to 24.6.2 upstream release
- Resolves: rhbz#2292568

* Mon Jun 10 2024 Packit <hello@packit.dev> - 24.6.1-1
- Update to 24.6.1 upstream release
- Resolves: rhbz#2291193

* Sat Jun 01 2024 Packit <hello@packit.dev> - 24.6.0-1
- Update to 24.6.0 upstream release
- Resolves: rhbz#2284198

* Fri May 31 2024 Packit <hello@packit.dev> - 24.5.10-1
- Update to 24.5.10 upstream release
- Resolves: rhbz#2283533

* Sat May 25 2024 Packit <hello@packit.dev> - 24.5.8-1
- Update to 24.5.8 upstream release
- Resolves: rhbz#2282810

* Sat May 18 2024 Packit <hello@packit.dev> - 24.5.4-1
- Update to 24.5.4 upstream release
- Resolves: rhbz#2281405

* Fri May 17 2024 Packit <hello@packit.dev> - 24.5.2-1
- Update to 24.5.2 upstream release
- Resolves: rhbz#2280920

* Mon May 06 2024 Packit <hello@packit.dev> - 24.5.1-1
- Update to 24.5.1 upstream release
- Resolves: rhbz#2279370

* Wed May 01 2024 Packit <hello@packit.dev> - 24.5.0-1
- Update to 24.5.0 upstream release
- Resolves: rhbz#2278242

* Tue Apr 30 2024 Packit <hello@packit.dev> - 24.4.5-1
- Update to 24.4.5 upstream release
- Resolves: rhbz#2270195

* Fri Mar 15 2024 Packit <hello@packit.dev> - 24.3.3-1
- [packit] 24.3.3 upstream release
- Resolves rhbz#2269684

* Thu Mar 14 2024 Packit <hello@packit.dev> - 24.3.2-1
- [packit] 24.3.2 upstream release
- Resolves rhbz#2268681

* Fri Mar 08 2024 Packit <hello@packit.dev> - 24.3.0-1
- [packit] 24.3.0 upstream release
- Resolves rhbz#2268555

* Sat Mar 02 2024 Packit <hello@packit.dev> - 24.2.6-1
- [packit] 24.2.6 upstream release
- Resolves rhbz#2267408

* Sun Feb 18 2024 Packit <hello@packit.dev> - 24.2.5-1
- [packit] 24.2.5 upstream release
- Resolves rhbz#2264770

* Sat Feb 17 2024 Packit <hello@packit.dev> - 24.2.4-1
- [packit] 24.2.4 upstream release
- Resolves rhbz#2264646

* Fri Feb 16 2024 Packit <hello@packit.dev> - 24.2.3-1
- [packit] 24.2.3 upstream release
- Resolves rhbz#2264511

* Thu Feb 15 2024 Packit <hello@packit.dev> - 24.2.2-1
- [packit] 24.2.2 upstream release
- Resolves rhbz#2264329

* Sat Feb 10 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 24.2.1-2
- packit: Update config

* Sat Feb 10 2024 Packit <hello@packit.dev> - 24.2.1-1
- [packit] 24.2.1 upstream release
- Resolves rhbz#2263671

* Fri Feb 09 2024 Packit <hello@packit.dev> - 24.2.0-1
- [packit] 24.2.0 upstream release
- Resolves rhbz#2263544

* Wed Jan 31 2024 Packit <hello@packit.dev> - 24.1.5-1
- [packit] 24.1.5 upstream release
- Resolves rhbz#2262088

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Packit <hello@packit.dev> - 24.1.4-1
- [packit] 24.1.4 upstream release
- Resolves rhbz#2258010

* Fri Jan 12 2024 Packit <hello@packit.dev> - 24.1.3-1
- [packit] 24.1.3 upstream release
- Resolves rhbz#2258010

* Tue Jan 09 2024 Packit <hello@packit.dev> - 24.1.2-1
- [packit] 24.1.2 upstream release
- Resolves rhbz#2257369

* Tue Jan 02 2024 Packit <hello@packit.dev> - 24.1.1-1
- [packit] 24.1.1 upstream release
- Resolves rhbz#2256460

* Sun Dec 31 2023 Packit <hello@packit.dev> - 24.1.0-1
- [packit] 24.1.0 upstream release
- Resolves rhbz#2255710

* Mon Dec 11 2023 Packit <hello@packit.dev> - 23.12.3-1
- [packit] 23.12.3 upstream release
- Resolves rhbz#2254046

* Sun Dec 10 2023 Packit <hello@packit.dev> - 23.12.1-1
- [packit] 23.12.1 upstream release
- Resolves rhbz#2253816

* Fri Dec 08 2023 Packit <hello@packit.dev> - 23.12.0-1
- [packit] 23.12.0 upstream release
- Resolves rhbz#2253606

* Sat Nov 25 2023 Packit <hello@packit.dev> - 23.11.3-1
- [packit] 23.11.3 upstream release
- Resolves rhbz#2251446

* Sun Nov 19 2023 Packit <hello@packit.dev> - 23.11.2-1
- [packit] 23.11.2 upstream release
- Resolves rhbz#2250546

* Sun Nov 12 2023 Packit <hello@packit.dev> - 23.11.1-1
- [packit] 23.11.1 upstream release
- Resolves rhbz#2249330

* Thu Nov 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.11.0-3
- build: Upload source

* Thu Nov 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.11.0-2
- packit: Update config

* Thu Nov 02 2023 Packit <hello@packit.dev> - 23.11.0-1
- [packit] 23.11.0 upstream release
- Resolves rhbz#2247528

* Sat Oct 14 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.10.1-1
- [packit] 23.10.1 upstream release

* Mon Oct 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.10.0-1
- [packit] 23.10.0 upstream release

* Sun Oct 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.9.7-5
- packit: Add upstream_tag_template: v{version}

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.9.7-4
- build: Add Packit config

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.9.7-3
- build: Use forge macros

* Sat Sep 30 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.9.7-2
- license: Convert to SPDX

* Sat Sep 30 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.9.7-1
- chore: Update to 23.9.7 (rh#2238097)

* Sat Sep 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.9.0-1
- chore: Update to 23.9.0 (rh#2233783)

* Sun Aug 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.8.0-1
- chore: Update to 23.8.0 (rh#2215687)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 23.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.6.4-1
- chore: Update to 23.6.4 (rh#2193340)

* Mon May 01 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.5.0-1
- chore: Update to 23.5.0

* Sat Mar 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.3.0-1
- chore: Update to 23.3.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 23.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 23.1.1-1
- chore: Update to 23.1.1

* Sun Dec 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.12.2-1
- chore: Update to 22.12.2

* Sun Dec 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.12.0-1
- chore: Update to 22.12.0

* Wed Nov 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.11.9-1
- chore: Update to 22.11.9

* Thu Nov 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.11.8-2
- build: ExcludeArch: %%{ix86}

* Thu Nov 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.11.8-1
- chore: Update to 22.11.8 (#2143091)

* Mon Nov 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.11.5-1
- chore: Update to 22.11.5 (#2139885)

* Fri Nov 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.11.3-1
- chore: Update to 22.11.3 (#2139885)

* Tue Nov 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.11.1-1
- chore: Update to 22.11.1 (#2134175)

* Fri Oct 28 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.10.3-1
- chore(update): 22.10.3 (#2134175)

* Fri Oct 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.10.2-1
- chore(update): 22.10.2

* Mon Oct 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.10.1-1
- chore(update): 22.10.1

* Fri Oct 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.10.0-1
- chore(update): 22.10.0

* Tue Sep 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.9.2-1
- chore(update): 22.9.2

* Thu Sep 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.9.1-1
- chore(update): 22.9.1

* Sun Sep 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.9.0-1
- chore(update): 22.9.0

* Sat Aug 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.8.4-1
- chore(update): 22.8.4

* Sun Aug 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.8.3-1
- chore(update): 22.8.3

* Sat Aug 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.8.2-1
- chore(update): 22.8.2

* Fri Aug 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.8.1-1
- chore(update): 22.8.1

* Thu Jul 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.7.6-1
- chore(update): 22.7.6

* Fri Jul 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.6.2-1
- chore(update): 22.6.2

* Tue Jun 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.6.0-1
- chore(update): 22.6.0

* Tue May 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.5.3-1
- chore(update): 22.5.3

* Tue May 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.5.2-1
- chore(update): 22.5.2

* Mon May 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.5.1-1
- chore(update): 22.5.1

* Mon May 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.5.0-2
- build: Add condition for <=f34 build

* Mon May 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.5.0-1
- chore(update): 22.5.0

* Wed Apr 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.4.2-1
- chore(update): 22.4.2

* Fri Apr 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.4.0-1
- chore(update): 22.4.0

* Wed Feb 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.1.12-2
- build(rebuild): 'botan2' soname bump

* Sun Jan 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 22.1.12-1
- chore(update): 22.1.12

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 21.9.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 21.9.13-1
- build(update): 21.9.13
- build: Drop fakevim submodule which comes with sources now

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 21.5.3-1
- build(update): 21.5.3

* Sat May 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 21.5.1-1
- build(update): 21.5.1

* Tue Apr 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 21.3.1-2.20210312gitb71ba02
- build(rebuild): 'botan2' soname bump

* Thu Mar 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 21.3.1-1.20210312gitb71ba02
- build(update): 21.3.1

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20.11.4-2.20201110git43d45dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.11.4-1.20201110git43d45dd
- build(update): 20.11.4

* Fri Oct 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.6.7-4.20200618gitb669baa
- build(rebuild): 'botan2' soname bump | rh#1892897

* Wed Sep  2 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.6.7-3.20200618gitb669baa
- Rebuild | Fix RH#1871615

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20.6.7-2.20200618gitb669baa
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.6.7-1.20200618gitb669baa
- Update to 20.6.7

* Thu May 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.5.10-1.20200518gitcaa6d48
- Update to 20.5.10
- Add new submodule 'qhotkey'
- Add new BR: Qt5X11Extras
- Translations now compiles from sources | GH-1744
- Disable LTO

* Sat Mar 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.3.7-1.20200328git7fe3aa6
- Update to 20.3.7

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.11-2.20200119gitadec18b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 20.1.11-1.20200119gitadec18b
- Update to 20.1.11
- Add new submodule 'md4c'
- Enable LTO

* Tue Sep 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 19.9.12-2.20190912gitc33c89f
- Update to 19.9.12
- Remove ExcludeArches: s390x ppc64le
- Switch to botan2: https://github.com/pbek/QOwnNotes/issues/1263

* Sun Sep 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 19.9.5-1.20190905gitf62ac68
- Update to 19.9.5

* Sat Aug 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.4-7.20190810git0302b2c
- Initial package
- Thanks to Dead_Mozay <dead_mozay@opensuse.org> for initial spec file

## END: Generated by rpmautospec
